Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface Style

All Superinterfaces:
  AttributeSet, MutableAttributeSet

All Known Implementing Classes:
  StyleContext.NamedStyle

public interface Style
extends MutableAttributeSet

A collection of attributes to associate with an element in a document. Since these are typically used to associate character and paragraph styles with the element, operations for this are provided. Other customized attributes that get associated with the element will effectively be name-value pairs that live in a hierarchy and if a name (key) is not found locally, the request is forwarded to the parent. Commonly used attributes are seperated out to facilitate alternative implementations that are more efficient.

Inner classes inherited from class javax.swing.text.AttributeSet
`AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

Fields inherited from interface javax.swing.text.AttributeSet
`NameAttribute, ResolveAttribute`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a listener to track whenever an attribute has been changed.
`String` | `getName()` Fetches the name of the style.
`void` | `removeChangeListener(ChangeListener l)` Removes a listener that was tracking attribute changes.

Methods inherited from interface javax.swing.text.MutableAttributeSet
`addAttribute, addAttributes, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

Methods inherited from interface javax.swing.text.AttributeSet
`containsAttribute, containsAttributes, copyAttributes, getAttribute, getAttributeCount, getAttributeNames, getResolveParent, isDefined, isEqual`

Method Detail

### getName

    public String getName()

  Fetches the name of the style. A style is not required to be named, so null is returned if there is no name associated with the style.
  Returns:
    the name

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a listener to track whenever an attribute has been changed.
  Parameters:
    `l` - the change listener

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a listener that was tracking attribute changes.
  Parameters:
    `l` - the change listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.